Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class TextElementDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter

All Implemented Interfaces:
  NodeDataAdapter

Direct Known Subclasses:
  IDElementAdapter, NodeNameAdapter

    public abstract class TextElementDataAdapter

extends java.lang.Object
implements NodeDataAdapter

This abstract class implements basic funktionalities for adapters that deal with data stored in a `TextElementData`-object.

Author:
  Ben Stöver

Constructor Summary
`TextElementDataAdapter()`

Method Summary
`abstract boolean` | `assignData(Node node, TextElementData data)`
`protected abstract void` | `createData(Node node)` This method should create the data object if does not already exist.
`boolean` | `decimalOnly()`
`void` | `delete(Node node)`
`abstract TextElementData` | `getData(Node node)`
`double` | `getDecimal(Node node)`
`abstract java.text.DecimalFormat` | `getDecimalFormat(Node node)`
`java.lang.String` | `getText(Node node)`
`boolean` | `isDecimal(Node node)`
`boolean` | `isEmpty(Node node)`
`boolean` | `isString(Node node)`
`void` | `setDecimal(Node node, double value)`
`void` | `setText(Node node, java.lang.String value)`
`void` | `setType(Node node, boolean decimal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.NodeDataAdapter
`getDataElement, toString`

Constructor Detail

### TextElementDataAdapter

    public TextElementDataAdapter()

Method Detail

### getData

    public abstract TextElementData getData(Node node)

### assignData

    public abstract boolean assignData(Node node,
                                       TextElementData data)

### getDecimalFormat

    public abstract java.text.DecimalFormat getDecimalFormat(Node node)

### createData

    protected abstract void createData(Node node)

  This method should create the data object if does not already exist.

  Parameters:
    `node` - - the node wich is assiciated with the data object

### decimalOnly

    public boolean decimalOnly()

  Specified by:
    `decimalOnly` in interface `NodeDataAdapter`

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeDataAdapter`

### getDecimal

    public double getDecimal(Node node)

  Specified by:
    `getDecimal` in interface `NodeDataAdapter`

### getText

    public java.lang.String getText(Node node)

  Specified by:
    `getText` in interface `NodeDataAdapter`

### isDecimal

    public boolean isDecimal(Node node)

  Specified by:
    `isDecimal` in interface `NodeDataAdapter`

### isEmpty

    public boolean isEmpty(Node node)

  Specified by:
    `isEmpty` in interface `NodeDataAdapter`

### isString

    public boolean isString(Node node)

  Specified by:
    `isString` in interface `NodeDataAdapter`

### setDecimal

    public void setDecimal(Node node,
                           double value)

  Specified by:
    `setDecimal` in interface `NodeDataAdapter`

### setText

    public void setText(Node node,
                        java.lang.String value)

  Specified by:
    `setText` in interface `NodeDataAdapter`

### setType

    public void setType(Node node,
                        boolean decimal)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD